AbstractSignatureType (Gradle API 2.14.1)

Package: org.gradle.plugins.signing.type

## [Java] Class AbstractSignatureType

- org.gradle.plugins.signing.type.AbstractSignatureType

- All Implemented Interfaces and Traits:
    SignatureType

      public abstract class AbstractSignatureType
      extends groovy.lang.GroovyObjectSupport

  Convenience base class for SignatureType implementations.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `combinedExtension(File toSign)`
    `File` | `fileFor(File toSign)`
    `File` | `sign(Signatory signatory, File toSign)`
    `void` | `sign(Signatory signatory, InputStream toSign, OutputStream destination)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public String combinedExtension(File toSign)

    - #### @Override public File fileFor(File toSign)

    - #### @Override public File sign(Signatory signatory, File toSign)

    - #### @Override public void sign(Signatory signatory, InputStream toSign, OutputStream destination)